org.appng.xml.platform

## Class Sectionelement

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Sectionelement

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ApplicationProvider.DataSourceWrapper

      public class Sectionelement
      extends BaseObject
      implements Serializable

  Defines an element of a `Section`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Action` | `action`
    `protected Datasource` | `datasource`
    `protected Long` | `executionTime`
    `protected String` | `folded`
    `protected String` | `mode`
    `protected String` | `passive`
    `protected Label` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sectionelement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction()` Gets the value of the action property.
    `Datasource` | `getDatasource()` Gets the value of the datasource property.
    `Long` | `getExecutionTime()` The time in milliseconds it took to process this `Sectionelement`.
    `String` | `getFolded()` If evaluating to `true`, the `Sectionelement` will be displayed folded.
    `String` | `getMode()` The display mode for this element to be used by the template.
    `String` | `getPassive()` If evaluating to `true`, the `Sectionelement` will not determine the title of the tab.
    `Label` | `getTitle()` Gets the value of the title property.
    `void` | `setAction(Action value)` Sets the value of the action property.
    `void` | `setDatasource(Datasource value)` Sets the value of the datasource property.
    `void` | `setExecutionTime(Long value)` Sets the value of the executionTime property.
    `void` | `setFolded(String value)` Sets the value of the folded property.
    `void` | `setMode(String value)` Sets the value of the mode property.
    `void` | `setPassive(String value)` Sets the value of the passive property.
    `void` | `setTitle(Label value)` Sets the value of the title property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected Label title

    - #### datasource

          protected Datasource datasource

    - #### action

          protected Action action

    - #### folded

          protected String folded

    - #### passive

          protected String passive

    - #### mode

          protected String mode

    - #### executionTime

          protected Long executionTime

  - ### Constructor Detail

    - #### Sectionelement

          public Sectionelement()

  - ### Method Detail

    - #### getTitle

          public Label getTitle()

      Gets the value of the title property.
      Returns:
        possible object is `Label`

    - #### setTitle

          public void setTitle(Label value)

      Sets the value of the title property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getDatasource

          public Datasource getDatasource()

      Gets the value of the datasource property.
      Returns:
        possible object is `Datasource`

    - #### setDatasource

          public void setDatasource(Datasource value)

      Sets the value of the datasource property.
      Parameters:
        `value` - allowed object is `Datasource`

    - #### getAction

          public Action getAction()

      Gets the value of the action property.
      Returns:
        possible object is `Action`

    - #### setAction

          public void setAction(Action value)

      Sets the value of the action property.
      Parameters:
        `value` - allowed object is `Action`

    - #### getFolded

          public String getFolded()

      If evaluating to `true`, the `Sectionelement` will be displayed folded. If evaluating to `false`, the `Sectionelement` will be displayed unfolded. If empty, the `Sectionelement` will not be foldable.
      Returns:
        possible object is `String`

    - #### setFolded

          public void setFolded(String value)

      Sets the value of the folded property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPassive

          public String getPassive()

      If evaluating to `true`, the `Sectionelement` will not determine the title of the tab.
      Returns:
        possible object is `String`

    - #### setPassive

          public void setPassive(String value)

      Sets the value of the passive property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public String getMode()

      The display mode for this element to be used by the template.
      Returns:
        possible object is `String`

    - #### setMode

          public void setMode(String value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExecutionTime

          public Long getExecutionTime()

      The time in milliseconds it took to process this `Sectionelement`.
      Returns:
        possible object is `Long`

    - #### setExecutionTime

          public void setExecutionTime(Long value)

      Sets the value of the executionTime property.
      Parameters:
        `value` - allowed object is `Long`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.